﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Shapes;
using System.Windows.Media;

namespace CatanGame.View
{
    public class CatanField
    {
        private static double cospidiv6 = Math.Cos(Math.PI / 6);

        public Polygon Field { get; set; }
        public Label Text { get; set; }

        public CatanField(Point position, (int R, int Q) coords, double radius)
        {
            Field = HexagonFactory.MakeHexagon(position, radius);
            Text = new Label()
            {
                Content = coords.Q.ToString() + "," + coords.R.ToString()
            };
            Text.Loaded += (obj, args) 
                => Text.Margin = new Thickness(position.X - Text.ActualWidth / 2, position.Y - Text.ActualHeight / 2, 0, 0);
        }

        public void Update(Point position, double radius)
        {
            Field.Points = HexagonFactory.GetHexagonCorners(position, radius);
            Text.Margin = new Thickness(position.X - Text.ActualWidth / 2, position.Y - Text.ActualHeight / 2, 0, 0);
        }
    }
}
